Ptex: PtexDict< T >::Entry Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
PtexDict< T >::Entry Class Reference

This internal structure is used to store the dictionary elements. More...

## Public Member Functions
| Entry ()
| Default constructor initiaizes val with the defaul value. More...
| ~Entry ()

## Public Attributes
Entry * | _next
| Pointer to the next element in the structure. More...
int | _hashval
| cached hashval of key More...
int | _keylen
| cached length of key More...
value_type | _val
| The stored value of the hash table. More...
union {
int _pad
| for integer align of _key, for fast compares More...
char _key [1]
| 1 is dummy length - actual size will be allocated More...
} | _u

## Private Member Functions
| Entry (const Entry &)
| Copy constructor prohibited by design. More...
Entry & | operator= (const Entry &)
| Assignment operator prohibited by design. More...

## Detailed Description

### template<class T>
class PtexDict< T >::Entry

This internal structure is used to store the dictionary elements.

Definition at line 207 of file PtexDict.h.

## Constructor & Destructor Documentation

template<class T>

PtexDict< T >::Entry::Entry | ( |  | ) |
| inline

Default constructor initiaizes val with the defaul value.

Definition at line 210 of file PtexDict.h.

References PtexDict< T >::Entry::_u.

template<class T>

PtexDict< T >::Entry::~Entry | ( |  | ) |
| inline

Definition at line 213 of file PtexDict.h.

Referenced by PtexDict< T >::erase().

template<class T>

PtexDict< T >::Entry::Entry | ( | const Entry & |  | ) |
| private

Copy constructor prohibited by design.

## Member Function Documentation

template<class T>

Entry& PtexDict< T >::Entry::operator= | ( | const Entry & |  | ) |
| private

Assignment operator prohibited by design.

## Member Data Documentation

template<class T>

int PtexDict< T >::Entry::_hashval

cached hashval of key

Definition at line 222 of file PtexDict.h.

Referenced by PtexDict< T >::operator[]().

template<class T>

char PtexDict< T >::Entry::_key[1]

1 is dummy length - actual size will be allocated

Definition at line 227 of file PtexDict.h.

Referenced by PtexDict< T >::operator[]().

template<class T>

int PtexDict< T >::Entry::_keylen

cached length of key

Definition at line 223 of file PtexDict.h.

Referenced by PtexDict< T >::operator[]().

template<class T>

Entry* PtexDict< T >::Entry::_next

Pointer to the next element in the structure.

Definition at line 221 of file PtexDict.h.

Referenced by PtexDict< T >::erase(), PtexDict< T >::grow(), PtexDict< PtexReader * >::locate(), PtexDict< T >::iterator::operator++(), and PtexDict< T >::operator[]().

template<class T>

int PtexDict< T >::Entry::_pad

for integer align of _key, for fast compares

Definition at line 226 of file PtexDict.h.

union { ... } PtexDict< T >::Entry::_u

Referenced by PtexDict< T >::Entry::Entry(), and PtexDict< T >::operator[]().

template<class T>

value_type PtexDict< T >::Entry::_val

The stored value of the hash table.

Definition at line 224 of file PtexDict.h.

Referenced by PtexDict< T >::operator[]().

The documentation for this class was generated from the following file:

- PtexDict.h